$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/714/SoftwareIdeasModelerSetup32-11-86.exe'
$url64      = 'https://www.softwareideas.net/Download/File/713/SoftwareIdeasModelerSetup64-11-86.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = 'bd30047849709a607a16a6776ad5271af009a9057a36566a573b27fec1ce1ca7'
  checksumType  = 'sha256'
  checksum64    = '7c3ec01504e959685071206189264c26a6e80ce088e07d738ddb6078b9a12496'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
